BizKitHub
DocsAPI ReferenceLedger/bff/ledger/document/list
getLedgerAdmin BFF

/bff/ledger/document/list

Accounting documents with filters

LedgergetBffLedgerDocumentList

Parameters

14 query

Query parameters

· 14
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
kindstringOptional
Length: 0–32
Exampleexample_kind
direction"issued" | "received" | "internal"Optional
status"draft" | "ready" | "blocked" | "posted" | "cancelled" | "voided"Optional
dateFromstringOptional
Example2027-01-15
dateTostringOptional
Example2027-01-15
querystringOptional
Length: 0–100
Exampleexample_query
filterFulltextQuerystringOptional

DataGrid fulltext (same as query).

Length: 0–100
Exampleexample_filterFulltextQuery
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
originTablestringOptional
Length: 0–48
Exampleexample_originTable
onlyWithFindingsstringOptional
Exampleexample_onlyWithFindings
onlyOverriddenstringOptional
Exampleexample_onlyOverridden
pagestring | numberOptional
Range: 1–∞
limitstring | numberOptional

Clamped to the DataGrid maximum.

Range: 1–∞

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/document/list

get
curl -X GET "https://api.bizkithub.com/bff/ledger/document/list?entityId=example_entityId&kind=example_kind&dateFrom=2027-01-15&dateTo=2027-01-15&query=example_query&filterFulltextQuery=example_filterFulltextQuery&orderBy=example_orderBy&originTable=example_originTable&onlyWithFindings=example_onlyWithFindings&onlyOverridden=example_onlyOverridden" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key